<div class="card jh-card">
    <h2 id="page-heading">
        <span>Daftar Kelas</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-kelas" [routerLink]="['/kelas/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Tambahkan
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="kelas?.length === 0">
        <span>No kelas found</span>
    </div>
    <div class="table-responsive" *ngIf="kelas?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th> -->
            <th scope="col"  jhiSortBy="nama"><span>Nama Kelas</span></th>
            <th scope="col"  jhiSortBy="jenjang"><span>Jenjang Pendidikan</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let kelas of kelas ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/kelas', kelas.id, 'view' ]">{{kelas.id}}</a></td> -->
                <td>{{kelas.nama}}</td>
                <td>{{kelas.jenjang}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/kelas', kelas.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/kelas', kelas.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(kelas)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="kelas?.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
